org.jfree.ui

## Interface ExtendedDrawable

- All Superinterfaces:
    Drawable

      public interface ExtendedDrawable
      extends Drawable

  A drawable that has a preferred size and aspect ratio. Implement this interface to gain some control over the rendering and layouting process for the drawable.
  Author:
    Thomas Morgner

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Dimension` | `getPreferredSize()` Returns the preferred size of the drawable.
    `boolean` | `isPreserveAspectRatio()` Returns true, if this drawable will preserve an aspect ratio during the drawing.

    - ### Methods inherited from interface org.jfree.ui.Drawable

      `draw`

- - ### Method Detail

    - #### getPreferredSize

          java.awt.Dimension getPreferredSize()

      Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.
      Returns:
        the preferred size.

    - #### isPreserveAspectRatio

          boolean isPreserveAspectRatio()

      Returns true, if this drawable will preserve an aspect ratio during the drawing.
      Returns:
        true, if an aspect ratio is preserved, false otherwise.